Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.beasys.commerce.ebusiness.tax.TaxException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  TaxUserException

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TaxException

extends ApplicationException

Tax service exception.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`TaxException(String nameSpace, String messageKey)` Deprecated See BEA Commerce product offering
`TaxException(String nameSpace, String messageKey, Exception exception)` Deprecated See BEA Commerce product offering
`TaxException(String nameSpace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`TaxException(String nameSpace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`TaxException(String nameSpace, String messageKey, Object[] arguments, Exception exception)` Deprecated See BEA Commerce product offering
`TaxException(String nameSpace, String messageKey, Object argument, Exception exception)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getMessageKey()` Deprecated See BEA Commerce product offering
`String` | `getNameSpace()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TaxException

    public TaxException(String nameSpace,
                        String messageKey)

  Deprecated See BEA Commerce product offering

  Create a tax exception with namespace and message key.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.

### TaxException

    public TaxException(String nameSpace,
                        String messageKey,
                        Exception exception)

  Deprecated See BEA Commerce product offering

  Create a tax exception with an embedded exception.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `exception` - The exception embedded in this tax exception.

### TaxException

    public TaxException(String nameSpace,
                        String messageKey,
                        Object argument)

  Deprecated See BEA Commerce product offering

  Create a tax exception with a message parameter.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `argument` - The messageParameter.

### TaxException

    public TaxException(String nameSpace,
                        String messageKey,
                        Object argument,
                        Exception exception)

  Deprecated See BEA Commerce product offering

  Create a tax exception with an embedded exception and message parameter.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `argument` - The messageParameter.
    `exception` - The exception embedded in this tax exception.

### TaxException

    public TaxException(String nameSpace,
                        String messageKey,
                        Object[] arguments)

  Deprecated See BEA Commerce product offering

  Create a tax exception with a message parameter.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `arguments` - The messageParameter.

### TaxException

    public TaxException(String nameSpace,
                        String messageKey,
                        Object[] arguments,
                        Exception exception)

  Deprecated See BEA Commerce product offering

  Create a tax exception with an embedded exception and message parameter.

  Parameters
    `namespace` - The associated catalog namespace.
    `mesageKey` - The associated catalog messageKey.
    `arguments` - The messageParameter.
    `exception` - The exception embedded in this tax exception.

Method Detail

### getNameSpace

    public String getNameSpace()

  Deprecated See BEA Commerce product offering

### getMessageKey

    public String getMessageKey()

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved